:root {
  --color-base-black: #0c0b0c;
  --color-black: #000;
  --color-base-background: #f6f7f9;
  --color-white: #fff;
  --color-text: #111;
  --color-gray-90: #f9f9f9;
  --color-gray-80: #efefef;
  --color-gray-75: #e0e0e0;
  --color-gray-70: #ccc;
  --color-gray-60: #aaa;
  --color-gray-50: #999;
  --color-gray-40: #797979;
  --color-gray-30: #626262;
  --color-gray-20: #4c4c4c;
  --color-gray-10: #222;
  --color-pink-90: #f8eff3;
  --color-pink-80: #edcfd9;
  --color-pink-70: #e9b9c9;
  --color-pink-60: #e3a4b9;
  --color-pink-50: #d985a1;
  --color-pink-40: #cc6889;
  --color-pink-30: #c85179;
  --color-pink-20: #ae375f;
  --color-pink-10: #7f2745;
  --color-pink-5: #601931;
  --color-purple-90: #f0ebf4;
  --color-purple-80: #e2d1ef;
  --color-purple-70: #ceaee7;
  --color-purple-60: #b58cd5;
  --color-purple-50: #9667bd;
  --color-purple-40: #844ead;
  --color-purple-30: #65318e;
  --color-purple-20: #55237d;
  --color-purple-10: #3b1a55;
  --color-purple-5: #2f1246;
  --color-text-danger: #ff4c35;
  --color-yellow-20: #fff28e;
  --color-yellow-10: #f7e138;
}

:root {
  --font-family: "Noto Sans JP", "YuGothic", "Hiragino Kaku Gothic Pro", "Meiryo", sans-serif;
  --second-family: "Prompt", sans-serif;
  --inter-family: "Inter", sans-serif;
  --font-size-base: 1rem;
}

/* ---------------------------------------------
  @keyframes top-logo-scale
------------------------------------------------ */
@keyframes top-logo-scale {
  0% {
    transform: scale(0);
  }

  100% {
    transform: scale(1);
  }
}

/* ---------------------------------------------
  @keyframes logo-rotate
------------------------------------------------ */
@keyframes logo-rotate {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

/* ---------------------------------------------
  @keyframes top-heading-scale
------------------------------------------------ */
@keyframes top-heading-scale {
  0% {
    opacity: 0;
    transform: scale(0);
  }

  100% {
    opacity: 1;
    transform: scale(1);
  }
}

/* ---------------------------------------------
  @keyframes text-scroll-effect
------------------------------------------------ */
@keyframes text-scroll-effect {
  0% {
    width: 0;
  }

  50% {
    width: 4.375rem;
  }

  75% {
    transform: translateX(0);
  }

  100% {
    width: 4.375rem;
    transform: translateX(-100%);
  }
}

:root {
  --desktop-design: 1600px;
  --mobile-design: 375px;
  --desktop-content-width: 1210px;
  --mobile-content-width: 375px;
  --desktop-content-width-narrow: 910px;
  --max-width-xxl: 1512px;
  --max-width-xl: 1210px;
  --max-width-tb: 1024px;
  --max-width-lg: 870px;
  --border-radius-lg: 10px;
  --border-radius-md: 5px;
  --border-radius-sm: 3px;
}

:root {
  --transition-duration: 0.3s;
  --transition-timing-function: ease-out;
}

.cms-editor {
  >*:first-child {
    margin-block-start: 0 !important;
  }

  p:not([class]) {
    font-size: 1rem;
    letter-spacing: 0.05em;
    line-height: 1.75;
  }

  h2:not([class]) {
    position: relative;
    color: var(--color-text);
    font-size: 1.375rem;
    font-weight: 700;
    line-height: 1.5;
    margin-block: 3.125rem 1.25rem;
    padding-inline-start: 1.1875rem;

    @media (max-width: 896px) {
      font-size: 1.25rem;
      margin-block-start: 1.875rem;
    }

    &::before {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      width: 0.25rem;
      height: 100%;
      border-radius: 6.25rem;
      background: var(--color-pink-30);
      content: "";
    }
  }

  h3:not([class]) {
    position: relative;
    color: var(--color-text);
    font-size: 1.75rem;
    font-weight: 700;
    line-height: 1.5;
    margin-block: 3.125rem;
    padding-block-end: 1.4375rem;

    @media (max-width: 896px) {
      font-size: 1.375rem;
      line-height: 1.35;
      padding-block-end: 1.5625rem;
    }

    &::before {
      position: absolute;
      bottom: 0;
      left: 0;
      display: block;
      width: 2.5rem;
      height: 0.3125rem;
      border-radius: 1.25rem;
      background-color: var(--color-pink-30);
      content: "";
    }

    &::after {
      position: absolute;
      bottom: 0;
      left: 2.8125rem;
      display: block;
      width: 1.25rem;
      height: 0.3125rem;
      border-radius: 1.25rem;
      background-color: var(--color-purple-30);
      content: "";
    }
  }

  hr {
    color: var(--color-gray-75);
    margin-block: 6.25rem;

    @media (max-width: 896px) {
      margin-block: 3.75rem 3.125rem;
    }
  }

  ul:not([class]) {
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
    margin-block-start: 1.25rem;

    &:first-child {
      margin-block-start: 0 !important;
    }

    >li {
      position: relative;
      font-size: 1rem;
      line-height: 1.75;
      padding-inline-start: 1.5rem;

      &::before {
        position: absolute;
        top: 1rem;
        left: 0.625rem;
        display: block;
        width: 0.25rem;
        height: 0.25rem;
        border-radius: 50%;
        background-color: var(--color-text);
        content: "";
        transform: translateY(-50%);
      }
    }
  }

  .image {
    overflow: hidden;
    max-width: 35.625rem;
    padding: 0.9375rem;
    background-color: var(--color-white);
    margin-block-start: 1.875rem;
    margin-inline: auto;

    @media (max-width: 896px) {
      padding: 0.625rem;
      margin-block-start: 1.25rem;
    }

    &:first-child {
      margin-block-start: 0;
    }
  }

  .image>img {
    display: block;
    width: 100%;
    height: auto;
    border-radius: 0.5rem;
    -o-object-fit: cover;
    object-fit: cover;

    @media (max-width: 896px) {
      border-radius: 0.3125rem;
    }
  }

  .button {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1.875rem;
    margin-block-start: 3.75rem;
  }

  .button a {
    position: relative;
    display: flex;
    width: 100%;
    max-width: 16.25rem;
    min-height: 3.75rem;
    align-items: center;
    padding: 0.625rem 3.75rem 0.625rem 1.875rem;
    border-radius: 6.25rem;
    background-color: var(--color-pink-30);
    box-shadow: 0 10px 20px 0 rgb(from var(--color-purple-30) r g b / 15%);
    color: var(--color-white);
    font-size: 1rem;
    font-weight: 500;
    letter-spacing: 0.03em;
    line-height: 1.5;
    text-align: left;
    text-decoration: none;
    transition: all 0.3s ease-out;

    &::before,
    &::after {
      position: absolute;
      top: 50%;
      content: "";
      transform: translateY(-50%);
    }

    &::before {
      right: 0.5rem;
      width: 2.75rem;
      height: 2.75rem;
      border: 1px solid var(--color-pink-70);
      border-radius: 50%;
    }

    &::after {
      right: 1.5625rem;
      width: 0.4375rem;
      height: 0.5rem;
      background: url("/assets/images/common/icon-arrow-right-02.svg") no-repeat left top / contain;
    }

    &[data-button-style="download"]::after {
      right: 1.53125rem;
      width: 0.6875rem;
      height: 0.6875rem;
      border: 0;
      background-color: var(--color-white);
      content: "";
      -webkit-mask-image: url("/assets/images/common/icon-download-02.svg");
      mask-image: url("/assets/images/common/icon-download-02.svg");
      -webkit-mask-position: center;
      mask-position: center;
      -webkit-mask-repeat: no-repeat;
      mask-repeat: no-repeat;
      -webkit-mask-size: contain;
      mask-size: contain;
    }

    &:hover {
      @media (min-width: 897px) {
        background-color: var(--color-pink-20);
      }
    }
  }

  .card-link {
    display: grid;
    gap: 1.875rem;
    grid-template-columns: repeat(2, 1fr);

    @media (max-width: 896px) {
      gap: 3.125rem;
      grid-template-columns: 100%;
    }

    +.button>a {
      max-width: 18.125rem;
    }
  }

  .card-link>li>a {
    display: flex;
    height: 100%;
    flex-direction: column;
    border-radius: var(--border-radius-md);
    background: var(--color-white);

    &:hover {
      >.link {
        @media (min-width: 897px) {
          background-color: var(--color-pink-20);
        }
      }

      >p>span {
        @media (min-width: 897px) {
          background-position: 0 100%;
          background-size: 100% 1px;
        }
      }

      >.image img {
        @media (min-width: 897px) {
          transform: scale(1.1);
        }
      }
    }

    >p {
      flex-grow: 1;
      padding: 1.25rem 1.875rem 1.875rem;
      color: var(--color-text);
      font-size: 1.25rem;
      font-weight: 500;
      letter-spacing: 0;
      line-height: 1.5;

      @media (max-width: 896px) {
        font-size: 1.125rem;
      }
    }

    >p>span {
      background-image: linear-gradient(90deg, var(--color-text), var(--color-text));
      background-position: 100% 100%;
      background-repeat: no-repeat;
      background-size: 0 1px;
      transition: background-size cubic-bezier(0.215, 0.61, 0.355, 1) 0.3s;
    }

    >.image {
      padding: 0.625rem;
      border-top-left-radius: var(--border-radius-md);
      border-top-right-radius: var(--border-radius-md);
    }

    >.image>.wrap {
      overflow: hidden;
      border-radius: 0.3125rem;

      img {
        display: block;
        width: 100%;
        height: auto;
        -o-object-fit: cover;
        object-fit: cover;
        transition: transform 0.3s ease;
      }
    }

    >.link {
      position: relative;
      display: flex;
      height: 2.6875rem;
      flex-shrink: 0;
      align-items: center;
      align-self: stretch;
      justify-content: center;
      padding: 0.3125rem 0.3125rem 0.3125rem 0.625rem;
      background: var(--color-pink-30);
      border-bottom-left-radius: var(--border-radius-md);
      border-bottom-right-radius: var(--border-radius-md);
      gap: 0.3125rem;
      transition: background-color 0.3s ease-out;

      &::after {
        position: relative;
        top: 1px;
        display: inline-block;
        width: 0.6875rem;
        height: 0.6875rem;
        background-color: var(--color-white);
        content: "";
        -webkit-mask-image: url("/assets/images/common/icon-download-02.svg");
        mask-image: url("/assets/images/common/icon-download-02.svg");
        -webkit-mask-position: center;
        mask-position: center;
        -webkit-mask-repeat: no-repeat;
        mask-repeat: no-repeat;
        -webkit-mask-size: contain;
        mask-size: contain;
      }
    }

    >.link>span {
      color: var(--color-white);
      font-size: 0.875rem;
      font-style: normal;
      font-weight: 500;
      line-height: normal;
    }
  }
}